Skip to main content
GET
/
bank_accounts
/
{id}
Retrieve a bank account
curl --request GET \
  --url https://api.endclose.com/v1/bank_accounts/{id} \
  --header 'X-API-KEY: <api-key>'
{
  "name": "<string>",
  "id": 123,
  "currency": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://endclose.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-KEY
string
header
required

Path Parameters

id
string
required

The unique identifier of the bank account

Response

Bank account retrieved

name
string
required

Human readable name for the bank account

id
integer

Unique numeric identifier

currency
string | null

Three-letter ISO 4217 currency code (e.g. USD, EUR). Must be uppercase. Optional — bank accounts may be created without a currency.

Pattern: ^[A-Z]{3}$
created_at
string<date-time>
updated_at
string<date-time>